=== src/ivcam/CMakeLists.txt ===
target_sources(${LRS_TARGET}
    PRIVATE
        "${CMAKE_CURRENT_LIST_DIR}/ivcam-private.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/sr300.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/ivcam-private.h"
        "${CMAKE_CURRENT_LIST_DIR}/sr300.h"
)
