=== debian/changelog ===
ros-crystal-librealsense2 (2.16.5-2bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Sergey Dorodnicov <sergey.dorodnicov@intel.com>  Wed, 16 Jan 2019 01:18:40 -0000
